Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1738982 - sugar-pippy depends on Python 2
Summary: sugar-pippy depends on Python 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sugar-pippy
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: BetaFreezeException, F32BetaFreezeException SugarOnPy3 F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-08 12:15 UTC by Lumír Balhar
Modified: 2020-03-10 01:56 UTC (History)
4 users (show)

Fixed In Version: sugar-pippy-74-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-10 01:56:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-08 12:15:55 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for sugar-pippy's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to sugar-pippy.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 16:50:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:28:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-16 09:22:38 UTC
Sorry for that. The automation didn't see the discussion in the "sugar" package: https://bugzilla.redhat.com/show_bug.cgi?id=1737929#c1
Let's keep the conversation about sugar there. I assume everything that applies to sugar applies to "sugar-*" as well.

I'm marking this bug to not receive any more reminders.

Comment 4 Fedora Update System 2020-03-02 17:42:14 UTC
FEDORA-2020-376dadb975 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-376dadb975

Comment 5 Fedora Update System 2020-03-03 16:09:58 UTC
sugar-chat-86-3.fc32, sugar-implode-20-1.fc32, sugar-pippy-74-2.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-376dadb975

Comment 6 Fedora Update System 2020-03-04 09:29:33 UTC
FEDORA-2020-376dadb975 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-376dadb975

Comment 7 Peter Robinson 2020-03-04 10:21:26 UTC
Related PR for comps: https://pagure.io/fedora-comps/pull-request/464

Comment 8 Fedora Update System 2020-03-04 20:14:02 UTC
sugar-chat-86-3.fc32, sugar-implode-20-1.fc32, sugar-pippy-74-3.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-376dadb975

Comment 9 Fedora Update System 2020-03-07 01:05:47 UTC
FEDORA-2020-376dadb975 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-376dadb975

Comment 10 Fedora Blocker Bugs Application 2020-03-07 11:48:07 UTC
Proposed as a Freeze Exception for 32-beta by Fedora user pbrobinson using the blocker tracking app because:

 Fixes to Sugar Activities shipped in SoaS. This cycle the Sugar team has moved the entire Sugar Desktop from python2 -> python3 and there's some straggler Activities still being updates due to the huge effort required. This enables a number of the remaining ones included in the live image to work with the F-32 beta.

Comment 11 Fedora Update System 2020-03-07 17:16:55 UTC
sugar-chat-86-3.fc32, sugar-implode-20-1.fc32, sugar-physics-35-2.fc32, sugar-pippy-74-3.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-376dadb975

Comment 12 Geoffrey Marr 2020-03-10 01:05:16 UTC
Discussed during the 2020-03-09 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException" was made as it is a noticeable issue that cannot be fixed with an update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-03-09/f32-blocker-review.2020-03-09-16.01.txt

Comment 13 Fedora Update System 2020-03-10 01:56:11 UTC
sugar-chat-86-3.fc32, sugar-implode-20-1.fc32, sugar-physics-35-2.fc32, sugar-pippy-74-3.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.